# hey Emacs, its -*- rpm-spec -*-

Name: webserver-common
Version: 1.1
Release: alt1

Summary: Common resources for the Web srvers
Summary(ru_RU.KOI8-R):    Web  
License: %asl
Group: System/Servers

Url: http://httpd.apache.org
Packager: Aleksey Avdeev <solo@altlinux.ru>


Source1: altlinux.png
# rpm macro definitions
Source2: webserver-rpm-macros.spec.inc

# include webserver-rpm-macros.spec.inc
%include %SOURCE2

BuildPreReq: rpm-build-licenses

Provides: %webserver_datadir
Provides: %webserver_htdocsdir
Provides: %webserver_htdocsaddondir
Provides: %webserver_cgibindir
Provides: %webserver_iconsdir
Provides: %webserver_iconssmalldir
Provides: %webserver_vhostdir
Provides: %webserver_webappsdir

Conflicts: apache-common < 1.3.41rusPL30.23-alt4.1
Conflicts: apache-cgi-bin < 1.3.41rusPL30.23-alt4.1
Conflicts: apache-html < 1.3.41rusPL30.23-alt4.1
Conflicts: apache-icons < 1.3.41rusPL30.23-alt4.1
Conflicts: apache2-cgi-bin < 2.2.8-alt2.1
Conflicts: apache2-html < 2.2.8-alt2.1
Conflicts: apache2-icons < 2.2.8-alt2.1
Conflicts: vhosts-filesystem < 0.2-alt1.2

BuildArch: noarch

%description
The package is the resources necessary for Web servers.

%description -l ru_RU.KOI8-R
    ,   Web .


%package -n rpm-macros-%name
Summary: RPM macros to rebuild Web servers and apps packages
Summary(ru_RU.KOI8-R): RPM     -  
Group: Development/Other

Conflicts: %name < 1.0

%description -n rpm-macros-%name
The package provide a set of macros for packaging Web applications
according to the ALT Linux Web Packaging Policy.

%description -n rpm-macros-%name -l ru_RU.KOI8-R
        
   ALT Linux Web Packaging Policy.


%package -n rpm-build-%name
Summary: RPM helper to rebuild Web servers and apps packages
Summary(ru_RU.KOI8-R):     Web   
Group: Development/Other

Conflicts: %name < 1.0
Requires: rpm-macros-%name >= %version

%description -n rpm-build-%name
These helper provide possibility to rebuild Web servers and applications
packages by some ALT Linux Web Packaging Policy.

%description -n rpm-build-%name -l ru_RU.KOI8-R
         
   ALT Linux Web Packaging Policy.


%prep
%setup -cTn %name-%version

%build
sed -e 's/^%%define[[:space:]]\+/%%/' %SOURCE2 > webserver.rpm-macros

%install

install -d -m755 %buildroot%webserver_htdocsdir/
install -d -m755 %buildroot%webserver_htdocsaddondir/
install -d -m755 %buildroot%webserver_cgibindir/
install -d -m755 %buildroot%webserver_iconsdir/
install -d -m755 %buildroot%webserver_iconssmalldir/
install -d -m755 %buildroot%webserver_vhostdir/
install -d -m755 %buildroot%webserver_webappsdir/

install -pD -m644 %SOURCE1 %buildroot%webserver_iconsdir/

install -pD -m644 webserver.rpm-macros \
	%buildroot%_sysconfdir/rpm/macros.d/%name

mkdir -p %buildroot%_rpmlibdir
cat <<\EOF >%buildroot%_rpmlibdir/%name-files.req.list
# %name dirlist for %_rpmlibdir/files.req
%webserver_datadir	%name
%webserver_htdocsdir	%name
%webserver_htdocsaddondir	%name
%webserver_cgibindir	%name
%webserver_iconsdir	%name
%webserver_iconssmalldir	%name
%webserver_vhostdir	%name
%webserver_webappsdir	%name
EOF

# SCRIPTS

%pre
%_sbindir/groupadd -r -f %webserver_group 2>/dev/null ||:
%_sbindir/groupadd -r -f %webserver_webmaster 2>/dev/null ||:

%files -n rpm-macros-%name
%_sysconfdir/rpm/macros.d/%name

%files -n rpm-build-%name
%_rpmlibdir/%name-files.req.list

%files
%attr(-,root,%webserver_webmaster) %dir %webserver_datadir/
%attr(2775,root,%webserver_webmaster) %dir %webserver_htdocsdir/
%attr(2771,root,%webserver_webmaster) %dir %webserver_htdocsaddondir/
%attr(2771,root,%webserver_webmaster) %dir %webserver_cgibindir/
%attr(2775,root,%webserver_webmaster) %dir %webserver_iconsdir/
%attr(2775,root,%webserver_webmaster) %dir %webserver_iconssmalldir/
%attr(2771,root,%webserver_webmaster) %dir %webserver_vhostdir/
%attr(2771,root,%webserver_webmaster) %dir %webserver_webappsdir/
%defattr(644,root,%webserver_webmaster,2775)
%webserver_iconsdir/altlinux.png

%changelog
* Sun Jul 13 2008 Aleksey Avdeev <solo@altlinux.ru> 1.1-alt1
- Add build subpackage for ALT Linux RPM Packaging Policy:
  + rpm-macros-%%name
  + rpm-build-%%name
- Rename macro %%webserver_webapps to %%webserver_webappsdir

* Thu Jul 10 2008 Aleksey Avdeev <solo@altlinux.ru> 0.2-alt4
- Add dir provides 

* Tue Jul  1 2008 Aleksey Avdeev <solo@altlinux.ru> 0.2-alt3
- Use rpm-build-licenses

* Mon Jun 30 2008 Aleksey Avdeev <solo@altlinux.ru> 0.2-alt2
- Add new conflicts

* Tue Jun 10 2008 Aleksey Avdeev <solo@altlinux.ru> 0.2-alt1
- Add %%webserver_webapps dir (see
  http://freesource.info/wiki/AltLinux/Policy/Drafts/webpolicy)
- Conflicts update

* Mon May 14 2007 Aleksey Avdeev <solo@altlinux.ru> 0.1-alt1
- First build for ALT Linux
